node package manager
Orgs are free. Discover, share, and reuse code in your team. Create a free org »

makeup-ebay

makeup-ebay (DEPRECATED)

The makeup-ebay package is deprecated. It has been renamed to makeup-jquery. Please update your package dependency references in order to ensure latest updates.

Description

Curated collection of experimental jQuery plugins for common accessibility patterns.

Experimental:

Install

npm install makeup-ebay

Bundling

This package is configured to work with the LassoJS JavaScript module bundler. LassoJS allows you to easily bundle only the plugins that you require into your frontend payload.

Example browser.json:

// browser.json
{
  {
    "dependencies":[
      "makeup-ebay/jquery-focusable",
      "makeup-ebay/jquery-keyboard-trap",
      "makeup-ebay/jquery-screenreader-trap"
    ]
  }
}

Alternatively, to include the entire suite of modules (only recommended for development/prototyping), specify makeup-ebay:

// browser.json
{
  {
    "dependencies":[
      "makeup-ebay"
    ]
  }
}

Development / Contributing

No actual development happens in this repo. It is simply a collection of dependencies.